Bug 11359 - strsep is not available on Solaris
strsep is not available on Solaris
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.2.2
Sparc Solaris
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-24 20:02 UTC by Dagobert Michelsen
Modified: 2015-08-04 14:15 UTC (History)
2 users (show)

See Also:


Attachments
Fix for master. (3.03 KB, patch)
2015-07-15 17:45 UTC, Jeremy Allison
no flags Details
Updated fix for master. (3.08 KB, patch)
2015-07-23 18:29 UTC, Jeremy Allison
ira: review+
Details
git-am cherry-pick from master for 4.3.next 4.2.next, 4.1.next. (3.24 KB, patch)
2015-07-29 20:16 UTC, Jeremy Allison
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dagobert Michelsen 2015-06-24 20:02:14 UTC
When building Samba 4.2.2 on Solaris 10 strsep is used although it is not available:

[3610/3998] Linking default/source4/client/smbclient4  
Undefined                       first referenced  
 symbol                             in file  
strsep                              default/source4/librpc/libdcerpc.so  
ld: fatal: symbol referencing errors. No output written to /home/dam/mgar/pkg/samba/trunk/work/solaris10-sparc/build-isa-sparcv8plus/samba-4.2.2/bin/default/source4/client/smbclient4  
collect2: error: ld returned 1 exit status  

The issue appeared earlier in other functions:
  https://lists.samba.org/archive/samba-technical/2006-August/048511.html

Best regards -- Dago
Comment 1 Jan Holzhüter 2015-07-15 13:28:30 UTC
with 4.2.3 still the same:

[3568/3949] Linking default/source4/libcli/wbclient/libLIBWBCLIENT-OLD-samba4.so
Undefined                       first referenced
 symbol                             in file
strsep                              default/source4/librpc/libdcerpc.so
ld: fatal: symbol referencing errors. No output written to /home/jh/opencsw/samba/branches/samba4/work/solaris10-sparc/build-isa-sparcv8plus/samba-4.2.3/bin/default/source4/client/smbclient4

A fix would be nice
Comment 2 Jeremy Allison 2015-07-15 17:45:43 UTC
Created attachment 11263 [details]
Fix for master.

Can you confirm this works for you ?
Comment 3 Jan Holzhüter 2015-07-21 09:29:28 UTC
patch seems not complete:

[   8/3949] Compiling lib/replace/xattr.c
../lib/replace/replace.c:471:7: error: conflicting types for 'rep_strsep'
 char *rep_strsep(char **pps, const char *delim)
       ^
In file included from ../lib/replace/replace.c:26:0:
../lib/replace/replace.h:354:7: note: previous declaration of 'rep_strsep' was here
 char *rep_strsep(const char **pps, const char *delim);
       ^
Comment 4 Jeremy Allison 2015-07-21 15:48:58 UTC
Oh, thought I tested that locally, sorry. I'll fix and upload.
Comment 5 Jeremy Allison 2015-07-23 18:29:03 UTC
Created attachment 11284 [details]
Updated fix for master.

Please confirm this works for you and I'll get it into master, 4.2.next, 4.1.next.
Comment 6 Jan Holzhüter 2015-07-27 17:51:31 UTC
looks good now. Builds without problems
Comment 7 Jeremy Allison 2015-07-29 20:16:27 UTC
Created attachment 11293 [details]
git-am cherry-pick from master for 4.3.next 4.2.next, 4.1.next.

Already reviewed by Ira.
Comment 8 Jeremy Allison 2015-07-29 20:16:51 UTC
Karolin please add to 4.1.next, 4.2.next !

Thanks,

Jeremy.
Comment 9 Stefan Metzmacher 2015-07-29 20:31:59 UTC
Jeremy, what's with 4.3.next?
Comment 10 Stefan Metzmacher 2015-07-29 20:35:37 UTC
Jeremy, what's with 4.3.next?
Comment 11 Jeremy Allison 2015-07-29 20:51:04 UTC
(In reply to Stefan (metze) Metzmacher from comment #10)

> Jeremy, what's with 4.3.next?

Do we need to port to 4.3.0 separately ? I thought it was going to pick up what's in master. If not, let me know and I'll create a separate git tree locally for it and make sure I back-port any fix I do.
Comment 12 Stefan Metzmacher 2015-07-31 07:56:03 UTC
(In reply to Jeremy Allison from comment #11)

Yes, we have v4-3-test and v4-3-stable now...
Comment 13 Stefan Metzmacher 2015-08-03 12:30:37 UTC
Pushed to autobuild-v4-[1,2,3]-test
Comment 14 Stefan Metzmacher 2015-08-04 14:15:08 UTC
(In reply to Stefan Metzmacher from comment #13)

Pushed to v4-[1,2,3]-test